This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 600374 - [abrt] crash in smolt-gui-1.4.2.2-1.fc13: gettext.py:220:ugettext:UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 30: ordinal not in range(128)
[abrt] crash in smolt-gui-1.4.2.2-1.fc13: gettext.py:220:ugettext:UnicodeDeco...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: smolt (Show other bugs)
13
i686 Linux
low Severity low
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
abrt_hash:e8dbbc3b
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-04 11:22 EDT by Calculici
Modified: 2011-09-11 18:07 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 13:31:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (655 bytes, text/plain)
2010-06-04 11:22 EDT, Calculici
no flags Details

  None (edit)
Description Calculici 2010-06-04 11:22:21 EDT
abrt 1.1.1 detected a crash.

architecture: i686
cmdline: /usr/bin/python /usr/bin/smoltGui
component: smolt
executable: /usr/bin/smoltGui
kernel: 2.6.33.5-112.fc13.i686
package: smolt-gui-1.4.2.2-1.fc13
reason: gettext.py:220:ugettext:UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 30: ordinal not in range(128)
release: Fedora release 13 (Goddard)

backtrace
-----
gettext.py:220:ugettext:UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 30: ordinal not in range(128)

Traceback (most recent call last):
  File "/usr/bin/smoltGui", line 301, in about
    authors = _("<b>Authors:</b><br/>Carlos Gonalves &lt;mail@cgoncalves.info&gt;")
  File "/usr/lib/python2.6/gettext.py", line 220, in ugettext
    return unicode(message)
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 30: ordinal not in range(128)

Local variables in innermost frame:
message: '<b>Authors:</b><br/>Carlos Gon\xc3\xa7alves &lt;mail@cgoncalves.info&gt;'
self: <gettext.NullTranslations instance at 0x9e2beac>

How to reproduce
-----
1.Press About buton from Help tab
2.
3.
Comment 1 Calculici 2010-06-04 11:22:23 EDT
Created attachment 421262 [details]
File: backtrace
Comment 2 Donald Edward Winslow 2010-07-20 11:47:12 EDT
Package: smolt-gui-1.4.2.2-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
I clicked on Help->About from the menu of smolt-gui. I was unable to reproduce it.
Comment 3 Philip 2010-08-03 09:46:52 EDT
Package: smolt-gui-1.4.2.2-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
User don't now.


Comment
-----
User don't now.
Comment 4 Renich Bon Ciric 2010-08-05 21:03:34 EDT
Package: smolt-gui-1.4.2.2-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
I dunno. Didn't notice a crash or anything strange.
Comment 5 luigi votta 2010-09-04 10:07:00 EDT
Package: smolt-gui-1.4.2.2-3.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Open the smolt GUI
2. Select Help->About



Comment
-----
Smolt doesn't crash and abrt signals an error only on the first selection of About.
Comment 6 Norfaisal Ismail 2010-11-02 05:53:14 EDT
Package: smolt-gui-1.4.2.2-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. when click about.
2.
3.
Comment 7 Stan King 2010-11-20 02:41:55 EST
Package: smolt-gui-1.4.2.2-3.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Run the smolt gui.
2. Try to open "Help -> About".
3. That's it!  The abort occurs on step 2.
Comment 8 Fedora Admin XMLRPC Client 2011-02-08 16:15:20 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Bug Zapper 2011-06-02 08:03:32 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2011-06-27 13:31:43 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 11 Jim Cromie 2011-09-11 17:57:10 EDT
Uhm - this happened on F-14.
Comment 12 Jim Cromie 2011-09-11 18:01:42 EDT
Abrt/bugzilla resolved my report, which happened on F-14,
as same as the one of F-13, and then set it to CLOSED WONTFIX.
It should have reopened it and changed it to F-14.
Comment 13 Stan King 2011-09-11 18:07:44 EDT
Indeed, I get the following on F15 x86_64 when I do "help -> about" with smolt-gui-1.4.3-3.fc15.noarch, smoltGui from the shell command line:

Traceback (most recent call last):
  File "/usr/bin/smoltGui", line 303, in about
    authors = _("<b>Authors:</b><br/>Carlos Gonçalves &lt;mail@cgoncalves.info&gt;")
  File "/usr/lib64/python2.7/gettext.py", line 220, in ugettext
    return unicode(message)
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 30: ordinal not in range(128)

---

But it doesn't crash.

Note You need to log in before you can comment on or make changes to this bug.